RDMnet::BrokerProtocol::client_entry_update_data Struct Reference

6.3.1.4 Client Entry Update More...

`#include <broker-protocol.h>`

Inheritance diagram for RDMnet::BrokerProtocol::client_entry_update_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| client_entry_update_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| client_entry_update_data::oStream More...

## Public Attributes

connection_flags | flags
| connection flags
ACN::PDU::Message< ClientEntry::Pdu > | pdu
| client entry PDU

## Detailed Description

6.3.1.4 Client Entry Update

## Member Function Documentation

## iStream()

void RDMnet::BrokerProtocol::client_entry_update_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

client_entry_update_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::BrokerProtocol::client_entry_update_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

client_entry_update_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::BrokerProtocol::client_entry_update_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker-protocol.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker-protocol.cpp